<?
$sub_menu = "400400";
include_once("./_common.php");

auth_check($auth[$sub_menu], "r");

$token		= get_token();
include_once("$g4[path]/head.sub.php");
?>
<script type="text/javascript" src="<?=$g4[path]?>/js/sideview.js"></script>
<style type="text/css">
table tr td input	{ padding:3px; border:1px solid #A6A6A6; } 
table tr td select	{ height:26px; cursor:pointer; }

div.submit		{ text-align:center; padding:5px; }
div.submit input	{ border:1px solid #4285F5; cursor:pointer; padding:5px 20px 5px 20px; background:#71A4F8; color:#ffffff; vertical-align:middle; }
div.submit input:hover	{ border:1px solid #FF0000; cursor:pointer; padding:5px 20px 5px 20px; background:#FF4040; color:#ffffff; }
.msg		{ color:#CBCBCB; }

</style>
<link rel="stylesheet" href="<?=$g4[path]?>/adm/admin.style.css" type="text/css">
<?
$g4[title] = "지음빌더 레이아웃 구성";
include_once ("./admin.head.php");
include_once ("./zm.lib.php");

//-- 게시판 목록 --------------------------------
$board_list	= array();
$rs_boards	= sql_query("select bo_table from $g4[board_table] order by bo_table asc");
for($i = 0; $rd_boards = sql_fetch_array($rs_boards); $i++) {
	//-- 사용중인 게시판은 제외
	$rd_used_board	= sql_fetch("select db_board from $zmb[table_builder_config] where db_board='$rd_boards[bo_table]' and db_link_type='1'");
	if(!$rd_used_board[db_board]) $board_list[]	= $rd_boards[bo_table];
}

//-- 메뉴 정보 ----------------------------------
$tmp_info	= sql_fetch("select * from $zmb[table_builder_config] where db_recno='$recno'");
foreach($tmp_info as $key=>$value) {
	$k	= str_replace("db_", "", $key);
	$mn_info[$k]	= $value;
	if($k == "href") {
		$go_href = zm_conv_url($tmp_info[db_recno]);
		if($value == "#") $go_href = "#";
	}
	if($k == "link_type"){
		if($value == "3") $go_url	= $tmp_info[db_href];
	}
}
unset($tmp_info);

//-- 카테고리 정보 ------------------------------------
$group_1	= array();
$group_2	= array();
if($cngrec){
	//-- 카테고리 변경
	$temp_1		= sql_fetch("select * from $zmb[table_builder_config] where db_recno='$cngrec'");
	$group_1	= read_group(1, "");						//-- 메뉴 그룹 (1레벨 목록)
	$level_1_crrt	= $cngrec;

	$group_2	= read_group(2, "$cngrec");					//-- 메뉴 그룹 (2레벨 목록)

}else{
	$recno			= $recno;
	$mn_level		= $mn_info[level];		//-- 현 메뉴의 레벨
	$mb_up_recno	= $mn_info[up_recno];	//-- 현 메뉴의 상위 레벨 레코드

	//-- 현 메뉴 레벨이 2이면 1레벨 목록 구하기
	if($mn_level == 2) {
		$group_1	= read_group(1, "");		//-- 메뉴 그룹 (1레벨 목록)
		$tmp2		= sql_fetch("select db_up_recno from $zmb[table_builder_config] where db_recno='$recno'");
		$level_1_crrt	= $tmp2[db_up_recno];	//-- 상위 레벨(1)의 레코드

		$group_2	= read_group(2, "$level_1_crrt");					//-- 메뉴 그룹 (2레벨 목록)
		$level_2_crrt	= $recno;
	}

	if($mn_level == 3) {
		//-- 분류 레벨 별 정보
		$tmp		= sql_fetch("select db_recno, db_up_recno from $zmb[table_builder_config] where db_recno='$mb_up_recno'");
		$group_2	= read_group(2, "$tmp[db_up_recno]");		//-- 메뉴 그룹 (2레벨 목록)
		$level_2_crrt	= $tmp[db_recno];					//-- 현재 3레벨 레코드의 상위 레코드(2)

		$group_1	= read_group(1, "");					//-- 메뉴 그룹 (1레벨 목록)
		$level_1_crrt	= $tmp[db_up_recno];				//-- 현재 2레벨 레코드의 상위 레코드(1)
	}
}


//-- level이 99이면 회원가입 스킨
if($mn_info[level] == "99") {	$mem_skin	= true; } else { $mem_skin = false; }

//-- 해당 메뉴에 딸린 서브 메뉴 있는지 체크 -----
$tmp_sub	= sql_fetch("select * from $zmb[table_builder_config] where db_up_recno='$recno'");
if($tmp_sub[db_recno])	$del	= "no";			//-- 삭제 불가
else					$del	= "ok";			//-- 삭제 가능

$index_skins	= get_skin_dir("zm.index");
$layout_skins	= get_skin_dir("zm.layout");
$topmenu_skins	= get_skin_dir("zm.topmenu");
$bottom_skins	= get_skin_dir("zm.bottom");
$mem_skins		= get_skin_dir("zm.member");
//-- 모바일 스킨
$m_layout_skins	= get_m_skin_dir("zm.layout");
$m_member_skins	= get_m_skin_dir("zm.member");
$m_index_skins	= get_m_skin_dir("zm.index");
$m_topmenu_skins= get_m_skin_dir("zm.topmenu");
$m_bottom_skins	= get_m_skin_dir("zm.bottom");

$colspan	= 3;
?>
<form name="form_menu" method=post onsubmit="return sendData(this)" enctype="multipart/form-data">
<input type="hidden" name="mode" value="update">
<input type="hidden" name="recno" value="<?=$recno?>">
<table width=98% cellpadding=0 cellspacing=0 border=0 align="center">
<colgroup width=3% align="center">
<colgroup width=20%>
<colgroup width=77%>
<tr><td colspan='<?=$colspan?>' height=60><br><?=subtitle("메뉴 기본 정보")?></td></tr>
<tr><td colspan='<?=$colspan?>' class='line1'></td></tr>
<? if(($mn_info[level] != "99") && ($mn_info[level] >= 2)) : ?>
<tr class='col1 ht'>
    <td></td>
	<td>· 분류 변경</td>
	<td><select name="sel_group_1" id="sel_group_1" onChange="zm_gourl('?cngrec='+this.value+'&recno='+<?=$recno?>);">
		<option value="">- 메뉴그룹 -</option>
<?	for($i = 0; $i < count($group_1); $i++) : 
		if($level_1_crrt == $group_1[$i][recno]) $sel_g1 = "selected"; else $sel_g1 = ""; ?>
		<option value="<?=$group_1[$i][recno]?>" <?=$sel_g1?>><?=$group_1[$i][groupname]?></option>
<?	endfor; ?>
		</select>

		<select name="sel_group_2" id="sel_group_2">
		<option value="">- 중분류 -</option>
<?	for($i = 0; $i < count($group_2); $i++) :
		if($level_2_crrt == $group_2[$i][recno]) $sel_g2 = "disabled"; 	else 	$sel_g2 = ""; ?>
		<option value="<?=$group_2[$i][recno]?>" <?=$sel_g2?>><?=$group_2[$i][groupname]?></option>
<?	endfor; ?>
		</select> 

		<input type="button" value="변경" onclick="chg_cate('<?=$mn_info[recno]?>')"></td>
</tr>
<? endif; //-- 카테고리 변경 ?>
<tr class='col1 ht'>
    <td></td>
	<td>· 메뉴명</td>
	<td><input name="in_gname" value="<?=$mn_info[group_name]?>" itemname="메뉴명" size="20" required></td>
</tr>
<tr class='col1 ht'>
    <td></td>
	<td>· 모바일</td>
	<td><input type="checkbox" name="in_mobile" value="1" <?=($mn_info[mobile])?"checked":""?> onclick="toggle_mobile()">
	<?=help("√표시가 있으면 모바일 환경에서 접속했을 때 모바일 스킨이 적용 됩니다.")?>
	<span class="msg">(√ 체크 되어있지 않더라도 모바일 환경이나 접속자 선택에 따라 모바일 스킨이 적용 됩니다.)</span></td>
</tr>
<tr class='col1 ht mobile_tr'>
    <td></td>
	<td>· 모바일 메뉴명</td>
	<td><input name="in_m_gname" value="<?=$mn_info[m_group_name]?>" itemname="모바일 메뉴명" size="20">
	<?=help("모바일 페이지에서 보여질 메뉴명입니다. 입력하지 않으면 위의 메뉴명을 적용 합니다.")?></td>
</tr>
<tr class='col1 ht'>
    <td></td>
	<td>· 메뉴 설명</td>
	<td><input name="in_gname_explain" value="<?=$mn_info[group_explain]?>" size="50"></td>
</tr>
<tr><td colspan='<?=$colspan?>' class='line2'></td></tr>
<? if($mn_info[level] == '1') :						//-- index 일 때 ?>
<tr class='col1 ht'>
    <td></td>
	<td>· 더보기</td>
	<td><input type="checkbox" name="in_more" value="1" <?=($mn_info[more])?"checked":""?>>
	<?=help("√표시가 있으면 메뉴에는 노출되지 않지만 더보기를 클릭하면 볼 수 있는 메뉴입니다.")?>
	<span class="msg">(메뉴그룹에 보여지지 않고 [더보기↓] 버튼을 클릭 했을 때 펼쳐집니다.)</span></td>
</tr>
<tr><td colspan='<?=$colspan?>' class='line2'></td></tr>
<? endif; ?>
<tr class='col1 ht'>
    <td></td>
	<td>· 출력순위</td>
	<td><input name="in_rank" value="<?=$mn_info[rank]?>" size="4" maxlength="3">
	<?=help("숫자는 0~999까지 사용 할 수 있습니다. 숫자는 중복 가능합니다. 숫자가 작은 것 먼저 출력 됩니다.")?>
	<span class="msg">(0 ~ 999. 숫자만 입력 해 주세요. 같은 레벨의 그룹에서 숫자가 작은 것 순으로 출력 됩니다.)</span></td>
</tr>

<tr><td colspan='<?=$colspan?>' class='line2'></td></tr>
<tr><td colspan='<?=$colspan?>' height=60><br><?=subtitle("TOP MENU & BOTTOM 스킨")?></td></tr>
<tr><td colspan='<?=$colspan?>' class='line1'></td></tr>
<tr class='col1 ht'>
    <td><input type="checkbox" name="chk_all_topmenu" value="1" onclick="if(this.checked) alert('모든 페이지에 적용합니다.');"></td>
	<td>· TOP MENU</td>
	<td><select name="in_topmenu_skin">
		<option value="">사용안함</option>
<?	for($i = 0; $i < count($topmenu_skins); $i++) : ?>
		<option value="<?=$topmenu_skins[$i]?>" <?=($topmenu_skins[$i]==$mn_info[topmenu_skin])?"selected":""?>><?=$topmenu_skins[$i]?></option>
<?	endfor; ?>
		</select>
		<span class="msg">(페이지 상단에 메뉴를 포함한 스킨) <a href="#" onClick="window.open('http://ziumb.tistory.com/31');"><img src="./img/icon_help.gif" align="absmiddle"></a></span>
	</td>
</tr>
<tr class='col1 ht mobile_tr'>
    <td><input type="checkbox" name="chk_all_m_topmenu" value="1" onclick="if(this.checked) alert('모든 모바일 페이지에 적용합니다.');"></td>
	<td>· 모바일 TOP MENU</td>
	<td><select name="in_m_topmenu_skin">
		<option value="">사용안함</option>
<?	for($i = 0; $i < count($m_topmenu_skins); $i++) : ?>
		<option value="<?=$m_topmenu_skins[$i]?>" <?=($m_topmenu_skins[$i]==$mn_info[m_topmenu_skin])?"selected":""?>><?=$m_topmenu_skins[$i]?></option>
<?	endfor; ?>
		</select>
	</td>
</tr>
<tr><td colspan='<?=$colspan?>' class='line2'></td></tr>
<tr class='col1 ht'>
    <td><input type="checkbox" name="chk_all_bottom" value="1" onclick="if(this.checked) alert('모든 페이지에 적용합니다.');"></td>
	<td>· BOTTOM</td>
	<td><select name="in_bottom_skin">
		<option value="">사용안함</option>
<?	for($i = 0; $i < count($bottom_skins); $i++) : ?>
		<option value="<?=$bottom_skins[$i]?>" <?=($bottom_skins[$i]==$mn_info[bottom_skin])?"selected":""?>><?=$bottom_skins[$i]?></option>
<?	endfor; ?>
		</select>
		<span class="msg">(페이지 하단에 Copyright 등을 포함한 스킨) <a href="#" onClick="window.open('http://ziumb.tistory.com/31');"><img src="./img/icon_help.gif" align="absmiddle"></a></span>
	</td>
</tr>
<tr class='col1 ht mobile_tr'>
    <td><input type="checkbox" name="chk_all_m_bottom" value="1" onclick="if(this.checked) alert('모든 모바일 페이지에 적용합니다.');"></td>
	<td>· 모바일 BOTTOM</td>
	<td><select name="in_m_bottom_skin">
		<option value="">사용안함</option>
<?	for($i = 0; $i < count($m_bottom_skins); $i++) : ?>
		<option value="<?=$m_bottom_skins[$i]?>" <?=($m_bottom_skins[$i]==$mn_info[m_bottom_skin])?"selected":""?>><?=$m_bottom_skins[$i]?></option>
<?	endfor; ?>
		</select>
	</td>
</tr>
<tr><td colspan='<?=$colspan?>' class='line2'></td></tr>
<? if($mn_info[level] == '0') :						//-- index 일 때 ?>
<tr>
	<td colspan='<?=$colspan?>' height=60><br><?=subtitle("INDEX 스킨 선택")?></td>
</tr>
<tr><td colspan='<?=$colspan?>' class='line1'></td></tr>
<tr class='col1 ht'>
    <td></td>
	<td>· INDEX</td>
	<td><select name="in_index_skin">
<?	for($i = 0; $i < count($index_skins); $i++) : ?>
		<option value="<?=$index_skins[$i]?>" <?=($index_skins[$i]==$mn_info[index_skin])?"selected":""?>><?=$index_skins[$i]?></option>
<?	endfor; ?>
		</select>
	</td>
</tr>
<tr class='col1 ht mobile_tr'>
    <td></td>
	<td>· 모바일 INDEX</td>
	<td><select name="in_m_index_skin">
<?	for($i = 0; $i < count($m_index_skins); $i++) : ?>
		<option value="<?=$m_index_skins[$i]?>" <?=($m_index_skins[$i]==$mn_info[m_index_skin])?"selected":""?>><?=$m_index_skins[$i]?></option>
<?	endfor; ?>
		</select>
	</td>
</tr>
<tr><td colspan='<?=$colspan?>' class='line2'></td></tr>

<? else :											//-- index 아닐 때
//-- Link type에 맞는 Radio 선택
$chk_skin[$mn_info[link_type]]	= "checked";
?>
<?		if($mem_skin) :	//-- 회원가입 스킨 설정 ----------------------------------------------------------- ?>
<tr><td colspan='<?=$colspan?>' height=60><br><?=subtitle("회원가입 스킨")?></td></tr>
<tr><td colspan='<?=$colspan?>' class='line1'></td></tr>
<tr class='col1 ht'>
    <td></td>
	<td>· 레이아웃</td>
	<td><select name="in_layout" onchange="load_layout_page(this.value)">
<?	for($i = 0; $i < count($mem_skins); $i++) : ?>
		<option value="<?=$mem_skins[$i]?>" <?=($mem_skins[$i]==$mn_info[layout_skin])?"selected":""?>><?=$mem_skins[$i]?></option>
<?	endfor; ?>
		</select>
		<a href="#" onClick="window.open('http://ziumb.tistory.com/31');"><img src="./img/icon_help.gif" align="absmiddle"></a>
	</td>
</tr>
<tr class='col1 ht mobile_tr'>
    <td></td>
	<td>· 모바일 레이아웃</td>
	<td>
	<select name="in_m_layout">
<?	for($i = 0; $i < count($m_member_skins); $i++) : ?>
		<option value="<?=$m_member_skins[$i]?>" <?=($m_member_skins[$i]==$mn_info[m_layout_skin])?"selected":""?>><?=$m_member_skins[$i]?></option>
<?	endfor; ?>
	</select>
	<span class="msg">(경로 : /skin.mobile/zm.member/)</span>
	</td>
</tr>
<tr><td colspan='<?=$colspan?>' class='line2'></td></tr>
<?		else :			//-- 안 회원가입 스킨 설정 --------------------------------------------------------- ?>
<tr>
	<td colspan='<?=$colspan?>' height=60><br><?=subtitle("버튼에 연결 할 레이아웃/스킨/페이지/URL")?></td>
</tr>
<tr><td colspan='<?=$colspan?>' class='line1'></td></tr>
<tr class='col1 ht'>
    <td></td>
	<td>· 레이아웃</td>
	<td>
	<select name="in_layout" onchange="load_layout_page(this.value, '')">
<?	for($i = 0; $i < count($layout_skins); $i++) : ?>
		<option value="<?=$layout_skins[$i]?>" <?=($layout_skins[$i]==$mn_info[layout_skin])?"selected":""?>><?=$layout_skins[$i]?></option>
<?	endfor; ?>
	</select>
	<a href="#" onClick="window.open('http://ziumb.tistory.com/31#layout');"><img src="./img/icon_help.gif" align="absmiddle"></a>
	<span class="msg">(경로 : /skin/zm.layout/)</span>
	</td>
</tr>
<tr class='col1 ht mobile_tr'>
    <td></td>
	<td>· 모바일 레이아웃</td>
	<td>
	<select name="in_m_layout" onchange="load_layout_page(this.value, 'm')">
<?	for($i = 0; $i < count($m_layout_skins); $i++) : ?>
		<option value="<?=$m_layout_skins[$i]?>" <?=($m_layout_skins[$i]==$mn_info[m_layout_skin])?"selected":""?>><?=$m_layout_skins[$i]?></option>
<?	endfor; ?>
	</select>
	<a href="#" onClick="window.open('http://ziumb.tistory.com/31#layout');"><img src="./img/icon_help.gif" align="absmiddle"></a>
	<span class="msg">(경로 : /skin.mobile/zm.layout/)</span>
	</td>
</tr>
<tr class='col1 ht'>
    <td><input type="radio" name="rdo_skin" value="1" <?=$chk_skin[1]?>></td>
	<td>· 게시판 선택</td>
	<td>
	<select name="in_board" onFocus="document.form_menu.rdo_skin[0].checked=true;">
<?	if($mn_info[link_type]=='1') {
		if($mn_info[board])
			echo "<option value='$mn_info[board]' selected>> $mn_info[board]</option>";
	}
	if(!count($board_list) && !$mn_info[board])
		echo "<option value='' selected>※사용 가능한 게시판이 없습니다.</option>";
?>
<?	for($i = 0; $i < count($board_list); $i++) : ?>
		<option value="<?=$board_list[$i]?>" <?=($board_list[$i]==$mn_info[board])?"selected":""?>><?=$board_list[$i]?></option>
<?	endfor; ?>
		</select>
		<span class="msg">(그누보드 bo_table에 해당하는 테이블 이름. 게시판의 스킨은 게시판 관리에서 변경 할 수 있습니다.)</span>
		<a href="#" onClick="window.open('http://ziumb.tistory.com/31#board');"><img src="./img/icon_help.gif" align="absmiddle"></a>
	</td>
</tr>
<tr class='col1 ht'>
    <td><input type="radio" name="rdo_skin" value="2" <?=$chk_skin[2]?>></td>
	<td>· 페이지</td>
	<td><select name="in_layout_pagename" id="in_layout_pagename" onFocus="document.form_menu.rdo_skin[1].checked=true;" style="width:200px;">
		</select>
		<span class="msg">(선택한 레이아웃에 포함 된 "page."로 시작 되는 파일)</span><a href="#" onClick="window.open('http://ziumb.tistory.com/31#page');"><img src="./img/icon_help.gif" align="absmiddle"></a>
	</td>
</tr>
<tr class='col1 ht mobile_tr'>
    <td></td>
	<td>· 모바일 페이지</td>
	<td><select name="in_m_layout_pagename" id="in_m_layout_pagename" onFocus="document.form_menu.rdo_skin[1].checked=true;" style="width:200px;">
		</select>
		<span class="msg">(선택한 레이아웃에 포함 된 "page."로 시작 되는 파일.)<a href="#" onClick="window.open('http://ziumb.tistory.com/47');"><img src="./img/icon_help.gif" align="absmiddle"></a></span>
	</td>
</tr>
<tr><td colspan='<?=$colspan?>' class='line2'></td></tr>
<tr class='col1 ht'>
    <td><input type="radio" name="rdo_skin" value="3" <?=$chk_skin[3]?>></td>
	<td>· 연결 URL</td>
	<td><input name="in_url" size="50" value="<?=$go_url?>" onFocus="document.form_menu.rdo_skin[2].checked=true;"> <span class="msg">(외부 주소나 특정 페이지를 직접 연결 하고자 할 때 주소 또는 경로를 입력 해 주세요.)</span></td>
</tr>
<tr class='col1 ht'>
    <td><input type="radio" name="rdo_skin" value="4" <?=$chk_skin[4]?>></td>
	<td>· 연결 무시</td>
	<td>해당 메뉴 버튼에는 아무 것도 연결(LINK)하지 않음.</td>
</tr>
<tr class='col1 ht'>
    <td></td>
	<td>· Target</td>
	<td><select name="in_target">
		<option value="">사용 안함</option>
		<option value="_self" <?=($mn_info[target] == "_self")?"selected":""?>>_self</option>
		<option value="_blank" <?=($mn_info[target] == "_blank")?"selected":""?>>_blank</option>
		<option value="_top" <?=($mn_info[target] == "_top")?"selected":""?>>_top</option>
		<option value="_top" <?=($mn_info[target] == "_parent")?"selected":""?>>_parent</option>
		</select> <span class="msg">(버튼이나 메뉴를 클릭 했을 때 새창 또는 프레임 선택)</span>
	</td>
</tr>
<?		endif;											//-- end mem_skin ?>
<? endif;										//-- end index ?>
<tr><td colspan='<?=$colspan?>' class='line2'></td></tr>
<? if($mn_info[level] == '1') :	?>
<tr><td colspan='<?=$colspan?>' height=60><br><?=subtitle("Sub domain")?></td></tr>
<tr><td colspan='<?=$colspan?>' class='line1'></td></tr>
<tr class='col1 ht'>
    <td></td>
	<td>· 이름</td>
	<td>http://<input name="in_subdomain" value="<?=$mn_info[subdomain]?>" size="10" maxlength="40" onBlur="chk_subdomain(this.value);">.<?=$_SERVER[SERVER_NAME]?> <span id="subdomain_msg"></span> <span class="msg">(해당 메뉴로 접근하면 이 주소로 보여집니다.)</span><input type="hidden" id="subdomain_ok" name="subdomain_ok" value="<?=($mn_info[subdomain])?"1":""?>"></td>
</tr>
<tr><td colspan='<?=$colspan?>' class='line2'></td></tr>
<? endif; ?>
<tr><td colspan='<?=$colspan?>' height=60><br><?=subtitle("연결 정보")?></td></tr>
<tr><td colspan='<?=$colspan?>' class='line1'></td></tr>
<tr class='col1 ht'>
    <td></td>
	<td>· HREF</td>
	<td><?=($mn_info[href])?"$go_href [<a href='#' onClick=\"clipCopy('".$go_href."')\"'>주소복사</a>]":"(HREF 정보가 없다면 아래 <b>[변경내용 적용]</b> 버튼을 한 번만 클릭 해 주세요.)"?></td>
</tr>
<tr><td colspan='<?=$colspan?>' class='line2'></td></tr>
<? if($mn_info[url]) : ?>
<tr class='col1 ht'>
    <td></td>
	<td>· URL</td>
	<td><?=$mn_info[url]?> <font color="#7070FF">(현재 메뉴는 이 주소로도 접속 할 수 있습니다.)</font></td>
</tr>
<tr><td colspan='<?=$colspan?>' class='line2'></td></tr>
<? endif; ?>
</table>
<div class="submit"><input type="submit" value="변경내용 적용">
<input type="button" value="목록" onClick="zm_gourl('./zm.builder.php')">
<input type="button" value="X" onClick="delMenu('<?=$recno?>', '<?=$del?>')"></div>
</form>



<script language="javascript">
var subname	= "<?=($mn_info[subdomain])?>";
function sendData(f) {
	<? if($mn_info[level] == '1') :	?>
	if(f.in_subdomain.value && f.subdomain_ok.value != "1"){
		alert("서브도메인 이름이 올바르지 않습니다.");
		return false;
	}
	<? endif; ?>
	f.action	= "./zm.builder_process.php";
	f.submit();

}

function clipCopy(str) {
	if(browser.name == "msie") {
		window.clipboardData.setData('text', str);
		alert("주소를 클립보드에 복사 했습니다.\nCtrl + V로 붙혀넣기 하실 수 있습니다.");
	}else{
		pmt	= prompt("Ctrl + V로 붙혀넣기 하실 수 있습니다.", str);
	}
}

function delMenu(recno, d) {
	if(!recno) return false;

	if(d == "ok") {
		if(confirm("해당 메뉴를 삭제 합니다.")) zm_gourl("./zm.builder_process.php?mode=del&recno="+recno);
	}else{
		alert("해당 메뉴에 등록 된 서브 메뉴가 있어서 삭제 할 수 없습니다.\n\n하위 메뉴를 먼저 삭제 해 주세요.");
		return false;
	}
}

function chk_subdomain(sub){
	if(!sub) {
		$("#subdomain_ok").val("");
		$("#subdomain_msg").html("");
		return false;
	}

	if(document.form_menu.in_subdomain.value == subname) return false;

	$.ajax({
	type: "post",
	url: "./zm.builder_subdomain_chk.php?subd="+sub,
	success: function(result){
		if(result == "e001") msg = "<font color='#FF4040'>영문,숫자만 사용 가능</font>";
		if(result == "e002") msg = "<font color='#FF4040'>사용중인 이름</font>";
		if(result == "e003") msg = "<font color='#FF4040'>사용할 수 없는 이름</font>";
		if(result == "e100") {
			$("#subdomain_ok").val("1");
			msg = "<font color='#4040FF'>사용 가능</font>";
		}else{
			$("#subdomain_ok").val("");
		}

		$("#subdomain_msg").html(msg);
	}
	});
}

function load_layout_page(layout, mb){
	$.ajax({
		type: "post",
		url: "./zm.builder_process.php?mode=layout_page&layout="+layout+"&pagename=<?=$mn_info[pagename]?>&m_pagename=<?=$mn_info[m_pagename]?>&mb="+mb,
		success: function(result){
			if(mb == "m") {
				$("#in_m_layout_pagename").html(result);
			}else{
				$("#in_layout_pagename").html(result);
			}
		}
	})
}

function toggle_mobile(){
	/* 모바일 사용이 체크 돼 있으면 모바일 입력창 보이기. */
	if ($('input[name="in_mobile"]').is(":checked")) {
		$(".mobile_tr").css("display", "");
	}else{
		$(".mobile_tr").css("display", "none");
	}
}

//-- 카테고리 변경
function chg_cate(recno) {
	var level_1_recno = form_menu.sel_group_1.value;
	var level_2_recno = form_menu.sel_group_2.value;

	$.post("./zm.builder_process.php", { mode: "updatecate", recno: recno, level_1_recno: level_1_recno, level_2_recno: level_2_recno }, function(data){ if(data == "ok") alert("카테고리를 변경 하였습니다."); });
}



$(document).ready(function(){
	load_layout_page("<?=$mn_info[layout_skin]?>", "");
	load_layout_page("<?=$mn_info[m_layout_skin]?>", "m");

	toggle_mobile();
})
</script>
<?
include_once ("./admin.tail.php");
?>
</body>
</html>